net.sf.jasperreports.components.map

## Class MapPrintElement

- java.lang.Object
- - net.sf.jasperreports.components.map.MapPrintElement

-     public final class MapPrintElement
      extends java.lang.Object

  Utility class that creates generic print elements of map type.
  Version:
    $Id: MapPrintElement.java 6485 2013-09-06 14:43:54Z shertage $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.Float` | `DEFAULT_LATITUDE`
    `static java.lang.Float` | `DEFAULT_LONGITUDE`
    `static MapTypeEnum` | `DEFAULT_MAP_TYPE`
    `static OnErrorTypeEnum` | `DEFAULT_ON_ERROR_TYPE`
    `static java.lang.Integer` | `DEFAULT_ZOOM`
    `static java.lang.String` | `MAP_ELEMENT_NAME` The name of map generic elements.
    `static JRGenericElementType` | `MAP_ELEMENT_TYPE` The qualified type of Flash generic elements.
    `static java.lang.String` | `PARAMETER_CACHE_RENDERER` The cached image renderer.
    `static java.lang.String` | `PARAMETER_IMAGE_TYPE` The name of the parameter that provides the map image format.
    `static java.lang.String` | `PARAMETER_LANGUAGE` The name of the parameter that provides the map language.
    `static java.lang.String` | `PARAMETER_LATITUDE` The name of the parameter that provides the latitude.
    `static java.lang.String` | `PARAMETER_LONGITUDE` The name of the parameter that provides the longitude.
    `static java.lang.String` | `PARAMETER_MAP_SCALE` The name of the parameter that provides the map scale.
    `static java.lang.String` | `PARAMETER_MAP_TYPE` The name of the parameter that provides the map type.
    `static java.lang.String` | `PARAMETER_MARKER_COLOR` The name of the parameter that provides the color for default markers.
    `static java.lang.String` | `PARAMETER_MARKER_ICON` The name of the parameter that provides the marker icon url.
    `static java.lang.String` | `PARAMETER_MARKER_ICON_URL` The name of the parameter that provides the marker icon url.
    `static java.lang.String` | `PARAMETER_MARKER_LABEL` The name of the parameter that provides the label for default markers.
    `static java.lang.String` | `PARAMETER_MARKER_SIZE` The name of the parameter that provides the marker size.
    `static java.lang.String` | `PARAMETER_MARKERS` The name of the parameter that provides the list of marker objects for the map.
    `static java.lang.String` | `PARAMETER_ON_ERROR_TYPE` The name of the parameter that provides the onErrorType attribute.
    `static java.lang.String` | `PARAMETER_PATH_FILL_COLOR` The name of the parameter that provides the fill color for polygons.
    `static java.lang.String` | `PARAMETER_PATH_FILL_OPACITY` The name of the parameter that provides the fill opacity as a numerical fractional value between 0.0 and 1.0.
    `static java.lang.String` | `PARAMETER_PATH_IS_POLYGON` The name of the flag parameter that specifies whether the path is a polygon or a polyline.
    `static java.lang.String` | `PARAMETER_PATH_LOCATIONS` The name of the parameter that provides the path locations.
    `static java.lang.String` | `PARAMETER_PATH_STROKE_COLOR` The name of the parameter that provides the stroke color.
    `static java.lang.String` | `PARAMETER_PATH_STROKE_OPACITY` The name of the parameter that provides the stroke opacity as a numerical fractional value between 0.0 and 1.0.
    `static java.lang.String` | `PARAMETER_PATH_STROKE_WEIGHT` The name of the parameter that provides the stroke thickness, in pixels.
    `static java.lang.String` | `PARAMETER_PATHS` The name of the flag parameter that specifies paths on the map
    `static java.lang.String` | `PARAMETER_REQ_PARAMS` The name of the parameter that provides the Google API map request parameters.
    `static java.lang.String` | `PARAMETER_ZOOM` The name of the parameter that provides the zoom.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### MAP_ELEMENT_NAME

          public static final java.lang.String MAP_ELEMENT_NAME

      The name of map generic elements.
      See Also:
        Constant Field Values

    - #### MAP_ELEMENT_TYPE

          public static final JRGenericElementType MAP_ELEMENT_TYPE

      The qualified type of Flash generic elements.

    - #### PARAMETER_LATITUDE

          public static final java.lang.String PARAMETER_LATITUDE

      The name of the parameter that provides the latitude.
      See Also:
        Constant Field Values

    - #### PARAMETER_LONGITUDE

          public static final java.lang.String PARAMETER_LONGITUDE

      The name of the parameter that provides the longitude.
      See Also:
        Constant Field Values

    - #### PARAMETER_ZOOM

          public static final java.lang.String PARAMETER_ZOOM

      The name of the parameter that provides the zoom.
      See Also:
        Constant Field Values

    - #### PARAMETER_MAP_TYPE

          public static final java.lang.String PARAMETER_MAP_TYPE

      The name of the parameter that provides the map type.
      See Also:
        Constant Field Values

    - #### PARAMETER_ON_ERROR_TYPE

          public static final java.lang.String PARAMETER_ON_ERROR_TYPE

      The name of the parameter that provides the onErrorType attribute.
      See Also:
        Constant Field Values

    - #### PARAMETER_MAP_SCALE

          public static final java.lang.String PARAMETER_MAP_SCALE

      The name of the parameter that provides the map scale.
      See Also:
        Constant Field Values

    - #### PARAMETER_IMAGE_TYPE

          public static final java.lang.String PARAMETER_IMAGE_TYPE

      The name of the parameter that provides the map image format.
      See Also:
        Constant Field Values

    - #### PARAMETER_MARKERS

          public static final java.lang.String PARAMETER_MARKERS

      The name of the parameter that provides the list of marker objects for the map.
      See Also:
        Constant Field Values

    - #### PARAMETER_LANGUAGE

          public static final java.lang.String PARAMETER_LANGUAGE

      The name of the parameter that provides the map language.
      See Also:
        Constant Field Values

    - #### PARAMETER_CACHE_RENDERER

          public static final java.lang.String PARAMETER_CACHE_RENDERER

      The cached image renderer.
      See Also:
        Constant Field Values

    - #### PARAMETER_MARKER_ICON

          public static final java.lang.String PARAMETER_MARKER_ICON

      The name of the parameter that provides the marker icon url.
      See Also:
        Constant Field Values

    - #### PARAMETER_MARKER_ICON_URL

          public static final java.lang.String PARAMETER_MARKER_ICON_URL

      The name of the parameter that provides the marker icon url.
      See Also:
        Constant Field Values

    - #### PARAMETER_MARKER_SIZE

          public static final java.lang.String PARAMETER_MARKER_SIZE

      The name of the parameter that provides the marker size.
      See Also:
        Constant Field Values

    - #### PARAMETER_MARKER_COLOR

          public static final java.lang.String PARAMETER_MARKER_COLOR

      The name of the parameter that provides the color for default markers.
      See Also:
        Constant Field Values

    - #### PARAMETER_MARKER_LABEL

          public static final java.lang.String PARAMETER_MARKER_LABEL

      The name of the parameter that provides the label for default markers.
      See Also:
        Constant Field Values

    - #### PARAMETER_REQ_PARAMS

          public static final java.lang.String PARAMETER_REQ_PARAMS

      The name of the parameter that provides the Google API map request parameters.
      See Also:
        Constant Field Values

    - #### PARAMETER_PATHS

          public static final java.lang.String PARAMETER_PATHS

      The name of the flag parameter that specifies paths on the map
      See Also:
        Constant Field Values

    - #### PARAMETER_PATH_IS_POLYGON

          public static final java.lang.String PARAMETER_PATH_IS_POLYGON

      The name of the flag parameter that specifies whether the path is a polygon or a polyline. Default is `false`
      See Also:
        Constant Field Values

    - #### PARAMETER_PATH_STROKE_WEIGHT

          public static final java.lang.String PARAMETER_PATH_STROKE_WEIGHT

      The name of the parameter that provides the stroke thickness, in pixels. Default is 5.
      See Also:
        Constant Field Values

    - #### PARAMETER_PATH_STROKE_COLOR

          public static final java.lang.String PARAMETER_PATH_STROKE_COLOR

      The name of the parameter that provides the stroke color. Named colors are not supported.
      See Also:
        Constant Field Values

    - #### PARAMETER_PATH_STROKE_OPACITY

          public static final java.lang.String PARAMETER_PATH_STROKE_OPACITY

      The name of the parameter that provides the stroke opacity as a numerical fractional value between 0.0 and 1.0. Default value is 1.0.
      See Also:
        Constant Field Values

    - #### PARAMETER_PATH_FILL_COLOR

          public static final java.lang.String PARAMETER_PATH_FILL_COLOR

      The name of the parameter that provides the fill color for polygons. If set, the path will be processed as polygon. Named colors are not supported.
      See Also:
        Constant Field Values

    - #### PARAMETER_PATH_FILL_OPACITY

          public static final java.lang.String PARAMETER_PATH_FILL_OPACITY

      The name of the parameter that provides the fill opacity as a numerical fractional value between 0.0 and 1.0. Default value is 0.0.
      See Also:
        Constant Field Values

    - #### PARAMETER_PATH_LOCATIONS

          public static final java.lang.String PARAMETER_PATH_LOCATIONS

      The name of the parameter that provides the path locations.
      See Also:
        Constant Field Values

    - #### DEFAULT_LATITUDE

          public static final java.lang.Float DEFAULT_LATITUDE

    - #### DEFAULT_LONGITUDE

          public static final java.lang.Float DEFAULT_LONGITUDE

    - #### DEFAULT_ZOOM

          public static final java.lang.Integer DEFAULT_ZOOM

    - #### DEFAULT_MAP_TYPE

          public static final MapTypeEnum DEFAULT_MAP_TYPE

    - #### DEFAULT_ON_ERROR_TYPE

          public static final OnErrorTypeEnum DEFAULT_ON_ERROR_TYPE

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com